Package org.apache.batchee.container.impl.controller.chunk

## Class CheckpointData

- java.lang.Object
- - org.apache.batchee.container.impl.controller.chunk.CheckpointData

- All Implemented Interfaces:
    `Serializable`

      public class CheckpointData
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CheckpointData​(long jobInstanceId, String stepname, CheckpointType ckType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getjobInstanceId()` |
    `byte[]` | `getRestartToken()` |
    `String` | `getStepName()` |
    `CheckpointType` | `getType()` |
    `void` | `setjobInstanceId​(long id)` |
    `void` | `setRestartToken​(byte[] token)` |
    `void` | `setStepName​(String name)` |
    `void` | `setType​(CheckpointType ckType)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckpointData

          public CheckpointData​(long jobInstanceId,
                                String stepname,
                                CheckpointType ckType)

  - ### Method Detail

    - #### getjobInstanceId

          public long getjobInstanceId()

    - #### setjobInstanceId

          public void setjobInstanceId​(long id)

    - #### getType

          public CheckpointType getType()

    - #### setType

          public void setType​(CheckpointType ckType)

    - #### getStepName

          public String getStepName()

    - #### setStepName

          public void setStepName​(String name)

    - #### getRestartToken

          public byte[] getRestartToken()

    - #### setRestartToken

          public void setRestartToken​(byte[] token)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`